summaryrefslogtreecommitdiff
path: root/gitstatus
diff options
context:
space:
mode:
authorRoman Perepelitsa <roman.perepelitsa@gmail.com>2020-06-09 14:26:38 +0300
committerRoman Perepelitsa <roman.perepelitsa@gmail.com>2020-06-09 14:26:38 +0300
commit00cf3b1167dc8e4e38cbb72883d24e477a109a2f (patch)
tree344ccdb790eb26ad3904a8806555c4acf325678b /gitstatus
parentd75147503ef3163e32e3279a39bd07bc9942a9de (diff)
parenta3c1b7164be115f097682088c6feac283c40a1f2 (diff)
Merge commit 'a3c1b7164be115f097682088c6feac283c40a1f2'
Diffstat (limited to 'gitstatus')
-rw-r--r--gitstatus/gitstatus.plugin.sh10
-rw-r--r--gitstatus/gitstatus.plugin.zsh10
2 files changed, 10 insertions, 10 deletions
diff --git a/gitstatus/gitstatus.plugin.sh b/gitstatus/gitstatus.plugin.sh
index 685e81a2..1ecccb85 100644
--- a/gitstatus/gitstatus.plugin.sh
+++ b/gitstatus/gitstatus.plugin.sh
@@ -76,7 +76,7 @@ function gitstatus_start() {
[[ -n "$log_level" || "${GITSTATUS_ENABLE_LOGGING:-0}" != 1 ]] || log_level=INFO
local uname_sm
- uname_sm="$(uname -sm)" || return
+ uname_sm="$(command uname -sm)" || return
uname_sm="${uname_sm,,}"
local uname_s="${uname_sm% *}"
local uname_m="${uname_sm#* }"
@@ -86,8 +86,8 @@ function gitstatus_start() {
else
local cpus
if ! command -v sysctl &>/dev/null || [[ "$uname_s" == linux ]] ||
- ! cpus="$(sysctl -n hw.ncpu)"; then
- if ! command -v getconf &>/dev/null || ! cpus="$(getconf _NPROCESSORS_ONLN)"; then
+ ! cpus="$(command sysctl -n hw.ncpu)"; then
+ if ! command -v getconf &>/dev/null || ! cpus="$(command getconf _NPROCESSORS_ONLN)"; then
cpus=8
fi
fi
@@ -104,7 +104,7 @@ function gitstatus_start() {
--dirty-max-index-size="$max_dirty"
$extra_flags)
- tmpdir="$(mktemp -d "${TMPDIR:-/tmp}"/gitstatus.bash.$$.XXXXXXXXXX)" || return
+ tmpdir="$(command mktemp -d "${TMPDIR:-/tmp}"/gitstatus.bash.$$.XXXXXXXXXX)" || return
if [[ -n "$log_level" ]]; then
GITSTATUS_DAEMON_LOG="$tmpdir"/daemon.log
@@ -115,7 +115,7 @@ function gitstatus_start() {
req_fifo="$tmpdir"/req.fifo
resp_fifo="$tmpdir"/resp.fifo
- mkfifo -- "$req_fifo" "$resp_fifo" || return
+ command mkfifo -- "$req_fifo" "$resp_fifo" || return
{
(
diff --git a/gitstatus/gitstatus.plugin.zsh b/gitstatus/gitstatus.plugin.zsh
index 66d128c2..a19f93f2 100644
--- a/gitstatus/gitstatus.plugin.zsh
+++ b/gitstatus/gitstatus.plugin.zsh
@@ -365,7 +365,7 @@ function _gitstatus_daemon"${1:-}"() {
trap '' PIPE
local uname_sm
- uname_sm="${(L)$(uname -sm)}" || return
+ uname_sm="${(L)$(command uname -sm)}" || return
[[ $uname_sm == [^' ']##' '[^' ']## ]] || return
local uname_s=${uname_sm% *}
local uname_m=${uname_sm#* }
@@ -375,15 +375,15 @@ function _gitstatus_daemon"${1:-}"() {
else
local cpus
if (( ! $+commands[sysctl] )) || [[ $uname_s == linux ]] ||
- ! cpus="$(sysctl -n hw.ncpu)"; then
- if (( ! $+commands[getconf] )) || ! cpus="$(getconf _NPROCESSORS_ONLN)"; then
+ ! cpus="$(command sysctl -n hw.ncpu)"; then
+ if (( ! $+commands[getconf] )) || ! cpus="$(command getconf _NPROCESSORS_ONLN)"; then
cpus=8
fi
fi
args+=(-t $((cpus > 16 ? 32 : cpus > 0 ? 2 * cpus : 16)))
fi
- mkfifo -- $file_prefix.fifo || return
+ command mkfifo -- $file_prefix.fifo || return
print -rnu $pipe_fd -- ${(l:20:)pgid} || return
exec <$file_prefix.fifo || return
zf_rm -- $file_prefix.fifo || return
@@ -752,7 +752,7 @@ function gitstatus_start"${1:-}"() {
print -ru2 -- ' System information:'
print -Pru2 -- '%F{yellow}'
print -ru2 -- " zsh: $ZSH_VERSION"
- print -ru2 -- " uname -a: $(uname -a)"
+ print -ru2 -- " uname -a: $(command uname -a)"
print -Pru2 -- '%f'
print -ru2 -- ' If you need help, open an issue and attach this whole error message to it:'
print -ru2 -- ''